summaryrefslogtreecommitdiff
path: root/indra/newview/linux_tools/register_secondlifeprotocol.sh
diff options
context:
space:
mode:
authorTess Chu <tess@lindenlab.com>2007-11-20 02:53:43 +0000
committerTess Chu <tess@lindenlab.com>2007-11-20 02:53:43 +0000
commit2f6c7606241acdf800a2c079b359e7a1db360954 (patch)
treeadb6e6e34f9c3df1e2252b2f763ae20970c0e2d4 /indra/newview/linux_tools/register_secondlifeprotocol.sh
parent813b140d0767146b17acf4ad2fb96fbd5a347c34 (diff)
svn merge -r 73926:74098 svn+ssh://svn/svn/linden/branches/viewer-auth-7
Diffstat (limited to 'indra/newview/linux_tools/register_secondlifeprotocol.sh')
-rwxr-xr-xindra/newview/linux_tools/register_secondlifeprotocol.sh46
1 files changed, 46 insertions, 0 deletions
diff --git a/indra/newview/linux_tools/register_secondlifeprotocol.sh b/indra/newview/linux_tools/register_secondlifeprotocol.sh
new file mode 100755
index 0000000000..4ab96f97d6
--- /dev/null
+++ b/indra/newview/linux_tools/register_secondlifeprotocol.sh
@@ -0,0 +1,46 @@
+#!/bin/bash
+
+# Register a protocol handler (default: handle_secondlifeprotocol.sh) for
+# URLs of the form secondlife://...
+#
+
+HANDLER="$1"
+
+RUN_PATH=`dirname "$0" || echo .`
+cd "${RUN_PATH}"
+
+if [ -z "$HANDLER" ]; then
+ HANDLER=`pwd`/handle_secondlifeprotocol.sh
+fi
+
+# Register handler for GNOME-aware apps
+LLGCONFTOOL2=gconftool-2
+if which ${LLGCONFTOOL2} >/dev/null; then
+ (${LLGCONFTOOL2} -s -t string /desktop/gnome/url-handlers/secondlife/command "${HANDLER} \"%s\"" && ${LLGCONFTOOL2} -s -t bool /desktop/gnome/url-handlers/secondlife/enabled true) || echo Warning: Did not register secondlife:// handler with GNOME: ${LLGCONFTOOL2} failed.
+else
+ echo Warning: Did not register secondlife:// handler with GNOME: ${LLGCONFTOOL2} not found.
+fi
+
+# Register handler for KDE-aware apps
+if [ -z "$KDEHOME" ]; then
+ KDEHOME=~/.kde
+fi
+LLKDEPROTDIR=${KDEHOME}/share/services
+if [ -d "$LLKDEPROTDIR" ]; then
+ LLKDEPROTFILE=${LLKDEPROTDIR}/secondlife.protocol
+ cat > ${LLKDEPROTFILE} <<EOF || echo Warning: Did not register secondlife:// handler with KDE: Could not write ${LLKDEPROTFILE}
+[Protocol]
+exec=${HANDLER} '%u'
+protocol=secondlife
+input=none
+output=none
+helper=true
+listing=
+reading=false
+writing=false
+makedir=false
+deleting=false
+EOF
+else
+ echo Warning: Did not register secondlife:// handler with KDE: Directory $LLKDEPROTDIR does not exist.
+fi